% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/genoset-class.R
\docType{methods}
\name{[,GenoSet,ANY-method}
\alias{[,GenoSet,ANY-method}
\alias{[<-,GenoSet,ANY,ANY,ANY-method}
\title{Subset a GenoSet}
\usage{
\S4method{[}{GenoSet,ANY}(x, i, j, k, ..., withDimnames = TRUE,
  drop = FALSE)

\S4method{[}{GenoSet,ANY,ANY,ANY}(x, i, j, k) <- value
}
\arguments{
\item{x}{GenoSet}

\item{i}{character, GRanges, logical, integer}

\item{j}{character, logical, integer}

\item{k}{character or integer}

\item{...}{additional subsetting args}

\item{withDimnames}{scalar logical, put dimnames on returned assay?}

\item{drop}{logical drop levels of space factor?}

\item{value}{incoming data for assay "k", rows "i" and cols "j"}
}
\description{
Subset a GenoSet
}
\examples{
  data(genoset,package="genoset")
  genoset.ds[1:5,2:3]  # first five probes and samples 2 and 3
  genoset.ds[ , "K"]  # Sample called K
  gr = GRanges(ranges=IRanges(start=seq(from=15e6,by=1e6,length=7),width=1,names=letters[8:14]),seqnames=rep("chr17",7))
  genoset.ds[ gr, "K" ]  # sample K and probes overlapping those in rd, which overlap specifed ranges on chr17
}

